import { jsx } from "react/jsx-runtime";
import { TokenLUNA as TokenLUNA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenLUNA = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "LUNA", "data-name": "TokenLUNA", ...props, children: /* @__PURE__ */ jsx(TokenLUNA$1, { variant }) });
  }
);
TokenLUNA.displayName = "TokenLUNA";
Object.assign(TokenLUNA, { isGdsIcon: true });
export {
  TokenLUNA
};
